package org.dromara.payment.thirdPlatform.utils;

public class PaymentConfigBase
{
    boolean sub;
    String tax;
    boolean auto;

    public boolean isSub() {
        return this.sub;
    }

    public String getTax() {
        return this.tax;
    }

    public boolean isAuto() {
        return this.auto;
    }

    public void setSub(final boolean sub) {
        this.sub = sub;
    }

    public void setTax(final String tax) {
        this.tax = tax;
    }

    public void setAuto(final boolean auto) {
        this.auto = auto;
    }

    @Override
    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        }
        if (!(o instanceof PaymentConfigBase)) {
            return false;
        }
        final PaymentConfigBase other = (PaymentConfigBase)o;
        if (!other.canEqual(this)) {
            return false;
        }
        if (this.isSub() != other.isSub()) {
            return false;
        }
        if (this.isAuto() != other.isAuto()) {
            return false;
        }
        final Object this$tax = this.getTax();
        final Object other$tax = other.getTax();
        if (this$tax == null) {
            if (other$tax == null) {
                return true;
            }
        }
        else if (this$tax.equals(other$tax)) {
            return true;
        }
        return false;
    }

    protected boolean canEqual(final Object other) {
        return other instanceof PaymentConfigBase;
    }

    @Override
    public int hashCode() {
        final int PRIME = 59;
        int result = 1;
        result = result * 59 + (this.isSub() ? 79 : 97);
        result = result * 59 + (this.isAuto() ? 79 : 97);
        final Object $tax = this.getTax();
        result = result * 59 + (($tax == null) ? 43 : $tax.hashCode());
        return result;
    }

    @Override
    public String toString() {
        return "PaymentConfigBase(sub=" + this.isSub() + ", tax=" + this.getTax() + ", auto=" + this.isAuto() + ")";
    }
}
